Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ix.util.xml
Class CompactXMLTranslator

    java.lang.Object
      ix.util.xml.XMLTranslator
          ix.util.xml.CompactXMLTranslator

All Implemented Interfaces:
  Loader, Saver

    public class CompactXMLTranslator

extends XMLTranslator

Field Summary

Fields inherited from class ix.util.xml.XMLTranslator
`classSyntax, defaultListClass, defaultMapClass, defaultSetClass, homeNamespace, homeNamespaceURI, implAttributeName, lastExaminedElement, lispPrinter, listTextClass, mapEntryName, mostRecentHomeNamespace, omitImplAttributes, outputter, postfilter, prefilter, requireNamespace, writePrintableListsAsText`

Constructor Summary
`CompactXMLTranslator()`
`CompactXMLTranslator(ClassSyntax syntax)`

Method Summary
`protected FieldDescr` | `checkBodyUsage(ClassDescr cd)`
`protected boolean` | `fieldElementSuffices(FieldDescr fd)`
`protected boolean` | `isBodyField(FieldDescr fd)`
`protected void` | `processStructSubelements(java.lang.Object obj, ClassDescr cd, org.jdom.Element elt)`
`protected java.lang.Object` | `structFromElement(java.lang.Class c, org.jdom.Element elt)`
`protected org.jdom.Element` | `structToElement(java.lang.Object obj)`
`protected void` | `visitField(java.lang.Object obj, FieldDescr fd, org.jdom.Element objElt)`

Methods inherited from class ix.util.xml.XMLTranslator
`collectionFromElement, collectionToElement, documentToXMLString, embeddedXMLFromElement, embeddedXMLToElement, getClassSyntax, getFieldValue, getFieldValue, getHomeNamespace, getImplAttributeValue, getImplClass, getLastExaminedElement, getOutputter, handleUnknownFieldFromElement, isAttributeClass, isHomeNamespace, isHomeNamespaceURI, listFromElement, listFromElementText, listToElement, looksLikeAnObjectDocument, makeInstance, makeLListFromElement, mapFromElement, mapToElement, nsElement, objectFromDocument, objectFromElement, objectFromElement, objectFromXML, objectToDocument, objectToElement, objectToXMLString, primitiveObjectFromElement, primitiveObjectFromString, primitiveObjectToElement, processStructAttributes, readObject, requireEltSize, requireEltType, setFieldValue, setFromElement, setImplAttribute, setOmitImplAttributes, setPostfilter, setPrefilter, setRequireNamespace, setToElement, stringFromElement, stringToElement, wrapperClass, writeObject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CompactXMLTranslator

    public CompactXMLTranslator()

### CompactXMLTranslator

    public CompactXMLTranslator(ClassSyntax syntax)

Method Detail

### structToElement

    protected org.jdom.Element structToElement(java.lang.Object obj)

  Overrides:
    `structToElement` in class `XMLTranslator`

### checkBodyUsage

    protected FieldDescr checkBodyUsage(ClassDescr cd)

### isBodyField

    protected boolean isBodyField(FieldDescr fd)

### fieldElementSuffices

    protected boolean fieldElementSuffices(FieldDescr fd)

### visitField

    protected void visitField(java.lang.Object obj,
                              FieldDescr fd,
                              org.jdom.Element objElt)

  Overrides:
    `visitField` in class `XMLTranslator`

### structFromElement

    protected java.lang.Object structFromElement(java.lang.Class c,
                                                 org.jdom.Element elt)

  Overrides:
    `structFromElement` in class `XMLTranslator`

### processStructSubelements

    protected void processStructSubelements(java.lang.Object obj,
                                            ClassDescr cd,
                                            org.jdom.Element elt)

  Overrides:
    `processStructSubelements` in class `XMLTranslator`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD